<?php

namespace App\Providers;

use App\Services\AliyunService;
use App\Services\ChatService;
use App\Services\CommentService;
use App\Services\CommonService;
use App\Services\GuideService;
use App\Services\HttpService;
use App\Services\TaskService;
use App\Services\UploadService;
use App\Services\UserService;
use App\Services\WechatService;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton('wechatservice', function(){
            return new WechatService();
        });
        $this->app->singleton('commonservice', function(){
            return new CommonService();
        });
        $this->app->singleton('uploadservice', function(){
            return new UploadService();
        });
        $this->app->singleton('chatservice', function(){
            return new ChatService();
        });
        $this->app->singleton('userserivce', function(){
            return new UserService();
        });
        $this->app->singleton('commentService', function(){
            return new CommentService();
        });
        $this->app->singleton('guideservice', function(){
            return new GuideService();
        });
        $this->app->singleton('aliyunservice', function(){
            return new AliyunService();
        });
        $this->app->singleton("httpservice", function(){
            return new HttpService();
        });
        $this->app->singleton("taskservice", function(){
            return new TaskService();
        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
